function [y,lens] = coneAngle(kappa,sampleSize,alpha,simSize)
    %   Calculate the 95% cone region angle.
    %
    %   Synopsis:
    %       y = coneAngle(kappa,sampleSize,alpha,simSize)
    %   Input:
    %       directory = the path of directory containing sFkDists.
    %   Output:
    %       y = the average cone angle.
    %
    y = zeros(1,simSize);
    lens = zeros(1,simSize);
    base = strcat(num2str(kappa),'-',num2str(sampleSize));
    for i = 1:simSize
       fileName = strcat(base,'/sFkDist_',num2str(kappa),'_',num2str(sampleSize),'_',num2str(i),'.bin');
       fid = fopen(fileName,'r');
       dists = fread(fid,inf,'double');
       fclose(fid);
       y(i) = quantile(dists,1-alpha);
       lens(i) = numel(dists);
    end
  
