
function [rmsDisoriented,index] = disorientize(rms)
    %%
    % Disorientize orientation data. 
    % That is for each orientation, 
    % random map it to one of the elements in its 24-equivalence class.
    %
    %   Synopsis:
    %       [rmsDisoriented,index] = disorientize(rms)
    %   Input:
    %       rms = rotation matrices from oriented distribution
    %   Output:
    %       y = rotation matrices from disoriented distribution
    
    %%
    rmsDisoriented = rms;
    n = size(rms,3);
    index = zeros(n,1);
    for i =1:n
       romatClass = equiClass(rms(:,:,i));
       index(i) = unidrnd(24);
       rmsDisoriented(:,:,i) = romatClass(:,:,index(i));
    end
