
function y = llhMFisherNature(k,s,dataOm)
    %%
    %   Reparameterization of function llhMFisherRepar which makes the
    %   constraints linear.
    %
    %   Synopsis:
    %       y = llhMFisherEuler(k,s,dataOm)
    %   Input:
    %       pars = a vector of length 4, which stands for [k,alpha,beta,gamma]
    %   Output: 
    %       y = log likelihood of the Matrix Fisher distribution
    
    %%
    %get the number of rotation matrices, i.e. sample size
    n = size(dataOm,3);
    %%
    %------ calculate the log posterior ------------
    %nlog(b(k))
    i02kExp = besseli(0,2*k,1);
    i12kExp = besseli(1,2*k,1);
    y = -n*(3*k+log(i02kExp-i12kExp));
    %%
    %-- add sum(log(sum(...)))
    for i = 1:n
       y=y+logDDkenel(dataOm(:,:,i),s,k);
    end
    