
function y = logDDkenel(o,s,k)
%Calcualtes the logarithm of the kenel of the disorientation density.
%
%   Synopsis:
%   y=logDDkenel(o,s,k)
%
%   Input:
%       o = a ratation matrix which is 3*3 and orthogonal.
%       s = a rotation matrix which is 3*3 and orthogonal.
%       k = the parameter for the random angle distribuiton.
% 
%   Output:
%       y = the logarithm of the kenel of the disorientation density.
%
%    
    %---------------------------------------------
    mat = s'*o;
    y = zeros(24,1);
    temp = zeros(24,1);
    %----the 24 traces--------------------------------
    y(1:4) = mat(3,3);
    temp1 = mat(1,1) + mat(2,2);
    temp2 = mat(1,2) - mat(2,1);
    temp(1:4) = [temp1;temp2;-temp1;-temp2];
    %----------------------
    y(5:8) = mat(3,1);
    temp1 = mat(2,2) - mat(1,3);
    temp2 = mat(1,2) + mat(2,3);
    temp(5:8) = [temp1;temp2;-temp1;-temp2];
    %----------------------
    y(9:12) = mat(3,2);
    temp1 = mat(1,1) - mat(2,3);
    temp2 = mat(1,3) + mat(2,1);
    temp(9:12) = [temp1;-temp2;-temp1;temp2];
    %----------------------
    y(13:16) = -mat(3,1);
    temp1 = mat(1,3) + mat(2,2);
    temp2 = mat(1,2) - mat(2,3);
    temp(13:16) = [temp1;temp2;-temp1;-temp2];
    %----------------------
    y(17:20) = -mat(3,2);
    temp1 = mat(1,1) + mat(2,3);
    temp2 = mat(1,3) - mat(2,1);
    temp(17:20) = [temp1;temp2;-temp1;-temp2];
    %-----------------------
    y(21:24) = -mat(3,3);
    temp1 = mat(1,1) - mat(2,2);
    temp2 = mat(1,2) + mat(2,1);
    temp(21:24) = [temp1;-temp2;-temp1;temp2];
    %------------------------------------
    y = y + temp;
    %---- calculate the log ...
    trMax=max(y);
    y=trMax*k+log(sum(exp(k*(y-trMax))));
