
function y = logpost_or(s,k,dataOm)
%%
%   Synopsis:
%       y = logpost_dis(s,k,dataOm)
%   
%   Input:
%       s = center rotation matrix.
%       k = parameter for the random angle distribution.
%       dataOm = a cell vector containng the rotation matrix data.
%   Output:
%       y = the log posterior of the disorientation problem
%
%%
    %get the sample size
    n = size(dataOm,3);
%%
% calculate nlog(b(k))
    i02kExp=besseli(0,2*k,1);
    i12kExp=besseli(1,2*k,1);
    if k>150
        y=-n*(3*k-log(4*k)-0.5*log(4*pi*k));
        y=y+0.5*log(1.5)-log(k);
    else
        y=-n*(3*k+log(i02kExp-i12kExp));
        if k>0.01
            R2k=i12kExp/i02kExp;
            k_kR2k=k-k*R2k;
            y=y+0.5*log(2*k_kR2k*(1+R2k)+R2k^2-2*R2k)-log(k_kR2k);
        else
            R2k=i12kExp/i02kExp;
            R2k_Dk=r2kDivideByK(k);
            y=y+0.5*log((12*k+4*k^3)/(12+12*k^2+3*k^4)-2*R2k_Dk*R2k+R2k_Dk^2)-log(1-R2k);
        end
    end
    %-- add sum(log(sum(...)))
    samSum = zeros(3,3);
    for i=1:n
       samSum = samSum + dataOm(:,:,i);
    end
    y = y + k*trace(s'*samSum);
    
    

    
        
        
        
        
        