
function y = maxAngle(s1,s2)
    %%
    %   Calculate the max of the 3 angles: x-x', y-y' and z-z',
    %   where x, y and z are the 3 columns of s1 and x', y' and z' are the 3 columns of s2.
    %   
    %   Synopsis:
    %       y = minCosAngle(s1,s2)
    %   Input:
    %       s1 = a rotation matrix.
    %       s2 = anothe rotation matrix.
    %   Output:
    %       y = the max of the cosine of the 3 angles.
    %%
    %extract columns of s1 out
    x1 = s1(:,1);
    y1 = s1(:,2);
    z1 = s1(:,3);
    %extract columns of s2 out
    x2 = s2(:,1);
    y2 = s2(:,2);
    z2 = s2(:,3);
    %calculate crossproduct
    cosAngle1 = sum(x1.*x2);
    cosAngle2 = sum(y1.*y2);
    cosAngle3 = sum(z1.*z2);
    minCosAngle = min([cosAngle1,cosAngle2,cosAngle3]);
    y = acos(max(min(minCosAngle,1),-1));