#' Find the maximum "MLE" returned by different optimization algorithms.
#'
chooseBig = function(x){
    if(x[1] >= x[6]){
        return(x[1:5])
    }
    return(x[6:10])
}

maxMLE = function(kappa, size){
    folder = paste("mcmc_", kappa, "_", size, sep="")
    file = paste("CheckMLE_", kappa, "_", size, ".txt", sep="") 
    file = paste(folder, "/", file, sep="")
    read.table(file) -> mle
    n = ncol(mle)
    mle = as.matrix(mle[, (n-9):n])
    mle = t(apply(mle, 1, chooseBig))
    file = paste("maxMLE_", kappa, "_", size, ".txt", sep="")
    file = paste(folder, "/", file, sep="")
    write.table(x=mle, file=file, row.names=FALSE, col.names=FALSE, sep=" ")
    cat("Maximum MLE has been written into ", file, ".", sep = "")
}
