function y = minmaxAngle(s1,class)
    %%
    %   Calculate the minimum of the 24 maximum angles, 
    %   which is a reasonable distance between two elements in the quotient space.
    %
    %   Synopsis:
    %       y = minmaxAngle(s1,class)
    %   Input:
    %       s1 = a rotation matrix.
    %       class = a 3*3*24 array containing 24 equivalent elements in a class.
    %   Output:
    %       y = the maximum of the 24 min cosines.
    %%
    %initial result
    mangles = zeros(1,24);
    %%
    for i = 1:24
        mangles(i) = maxAngle(s1,class(:,:,i));
    end
    y = min(mangles);
