
function y=orientmatOne(u,r,s)
%%
%   Calculate the orientation matrix parameterized by U (an unit axis on the sphere and r (a random angle).
%
%   Synopsis:
%       y = orientmatOne(u,r,s)
%   Input:
%       u = an unit axis;
%       r = an angle;
%       s = a rotation matrix
%   Output:
%       y = a rotation matrix decided by the unit axis, angle and center
%       rotation matrix s. 
%%
%extract elements of u out
    u1=u(1);
    u2=u(2);
    u3=u(3);
    %%
    %construct a temp matrix
    dimU=size(u);
    if all(dimU==[1 3])
        tempMat1 = u'*u;
    else if all(dimU==[3 1])
            tempMat1=u*u';
        end
    end
    %%
    %construct another temp matrix
    tempMat2=zeros(3,3);
    tempMat2(1,2)=-u3;
    tempMat2(2,1)=u3;
    tempMat2(1,3)=u2;
    tempMat2(3,1)=-u2;
    tempMat2(2,3)=-u1;
    tempMat2(3,2)=u1;
    %%
    %return result
    y=tempMat1+(eye(3)-tempMat1)*cos(r)+tempMat2*sin(r);
    y=s*y;
    
