
function [smode,kmode,index,llh] = postMode(spost,kpost,logpost,dataOm,dropSize)
    %   Calculate posterior mode.
    %
    %   Synopsis:
    %       [smode,kmode,index,llh] = postMode(spost,kpost,logpost,dataOm,dropSize)
    %
    
    n = numel(spost)/9;
    if numel(kpost) == 1
        kpost = repmat(kpost, n, 1);
    end
    llh = -Inf;
    index = 0;
    for i = (dropSize+1):n
        logPosterior = logpost(spost(:,:,i),kpost(i),dataOm);
        if logPosterior>llh
           llh = logPosterior;
           index = i;
        end
    end
    smode = spost(:,:,index);
    kmode = kpost(index);
    
