
function [rmsOriented,refIndex] = preprocess(rmsDisoriented,rmsOriginal)
    % Pre-process data to align them with a chosen rotation matrix so that 
    % they can be treated as "honest" orientation data.
    %
    %   Synopsis:
    %       [rmsOriented,refIndex] = preprocess(rmsDisoriented,rmsOriginal)
    %
    
    refRomat = rmsDisoriented(:,:,1);
    n = size(rmsDisoriented,3);
    refIndex = zeros(n,1);
    rmsOriented = rmsDisoriented;
    for i = 1:n
        rmsClass = equiClass(rmsDisoriented(:,:,i));
        misAngle = zeros(24,1);
        for j = 1:24
            misAngle(j) = maxAngle(refRomat,rmsClass(:,:,j));
        end
        [minAngle,minIndex] = min(misAngle);
        rmsOriented(:,:,i) = rmsClass(:,:,minIndex);
        if nargin>1
            rmsClass = equiClass(rmsOriginal(:,:,i));
            misAngle = zeros(24,1);
            for j = 1:24
               misAngle(j) = maxAngle(rmsOriented(:,:,i),rmsClass(:,:,j));
            end
            [minAngle,minIndex] = min(misAngle);
            refIndex(i) = minIndex;
        end
    end
    
    
