
function y = ratioAcceptS(sStar,s,k,dataOm)
    %%
    %   The acceptance ratio of S when kapp is fixed.
    %
    %   Synopsis:
    %       y = ratioAcceptS(sStar,s,k,dataOm)
    %   Input:
    %       sStar = a proposal rotation matrix, i.e. a new proposal for s.
    %       s = the current rotation matrix.
    %       k = the current kappa which is the parameter for the random
    %       angle distribution.
    %       dataOm = the rotation matrix data. 
    %   Output:
    %       y = the ratio for accepting sStar which is a proposal for s.
    %%
    %get the sample size
    n=size(dataOm,3);
    %%
    %construct two vectors for storing intermediate results
    tempStar = zeros(1,n);
    temp = tempStar;
    %%
    %calculate density kenels
    for i = 1:n
        tempStar(i) = logDDkenel(dataOm(:,:,i),sStar,k);
        temp(i) = logDDkenel(dataOm(:,:,i),s,k);
    end
    diff = sum(tempStar-temp);
    if(diff>0)
        y = 2;
    else
        y=exp(diff);
    end
