
function y = rmfSymOne(s,k)
    %%
    %   Synopsis:
    %       y = rmfSymOne(s,k)
    %   Input:
    %       s = the center rotation matrix
    %       k = the parameter for the random angle distribution
    %   Output:
    %       y = an observation from the sysmmetric matrix fisher
    %       distribution.
    %%
    %generate a random vector u on a unit sphere
    rvec = normrnd(0,1,1,3);
    rvec = rvec/sqrt(sum(rvec.*rvec));
    %generate a random angle from distribution (1-cos r) exp(2k cos r)
    angle = rangleOne(k);
    y = orientmatOne(rvec,angle,s);