
function y = romatFromAngle(alpha,beta,gamma)
    %%
    %   Calculate rotation matrix from Euler angle representation. Note
    %   this function is a special case of built-in matlab function
    %   angle2dcm, but which is the same representation as in Melisa's
    %   paper.
    %
    %   Synopsis:
    %       y = romatFromAngle(alpha,beta,gamma)
    %   
    %   Input:
    %       alpah = 
    %       beta = 
    %       gamma = 
    %      
    %   Output:
    %       y = a rotation matrix calculated from the Euler angle
    %       representation.
    
    %%
    %create a 3*3 matrix
    y = zeros(3,3);
    y(1,1) = cos(alpha)*cos(gamma)-sin(alpha)*sin(gamma)*cos(beta);
    y(1,2) = sin(alpha)*cos(gamma)+cos(alpha)*sin(gamma)*cos(beta);
    y(1,3) = sin(gamma)*sin(beta);
    y(2,1) = -cos(alpha)*sin(gamma)-sin(alpha)*cos(gamma)*cos(beta);
    y(2,2) = -sin(alpha)*sin(gamma)+cos(alpha)*cos(gamma)*cos(beta);
    y(2,3) = cos(gamma)*sin(beta);
    y(3,1) = sin(alpha)*sin(beta);
    y(3,2) = -cos(alpha)*sin(beta);
    y(3,3) = cos(beta);