
function safeMakeDir(dirName,errSubject)
    %%
    %   Safely create a directory. It allows you to recover the running
    %   program if exception happens. For example, if the program is run on
    %   a server with limited hard space, for you, exception happens if
    %   there's no more space for you to create a directory. The program
    %   will wait for you to fix the problem and continue running. In the
    %   case of no enough space, you can free the disk (e.g. copy running
    %   results to other place) and then continue running the program.
    %
    %   Synopsis:
    %       safeMakeDir(dirName)
    %
    %   Input:
    %       dirName = path (either full or relative) of the directory.
    %%
    %create the directory
    try
       mkdir(dirName); 
    catch ex
        disp(ex);
        if(~isempty(errSubject))
            emailMe(errSubject,ex.message);
        end
        message='Please read the error message printed to the console. After fixing the problem, you can click OK to continue the program.';
        waitfor(msgbox(message));
        mkdir(dirName);
    end